%define nm_version          0.9.0
%define dbus_version        1.1
%define gtk3_version        3.0

Summary:	NetworkManager VPN integration for L2TP
Name:		networkmanager-l2tp
Version:	0.9.8.7
Release:	%mkrel 6
License:	GPLv2+
URL:		https://github.com/seriyps/NetworkManager-l2tp
Group:		System/Base
#http://github.com/seriyps/NetworkManager-l2tp/archive/%{version}.tar.gz
Source:		NetworkManager-l2tp-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:	pkgconfig(dbus-1) >= %{dbus_version}
BuildRequires:	pkgconfig(libnm-util) >= %{nm_version}
BuildRequires:	pkgconfig(libnm-glib) >= %{nm_version}
BuildRequires:	pkgconfig(libnm-glib-vpn) >= %{nm_version}
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libgnomeui-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	perl-XML-Parser
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	perl
BuildRequires:	gnome-common
BuildRequires:	ppp-devel
BuildRequires:	gettext-devel
Requires:	NetworkManager >= %{nm_version}
Requires:	gnome-keyring
Requires:	xl2tpd
Requires:	openswan

%description
This package contains software for integrating the L2TP VPN
with NetworkManager and the GNOME desktop.

%prep
%setup -q -n NetworkManager-l2tp-%{version}

%build
if [ ! -f configure ]; then
  ./autogen.sh
fi
%configure2_5x --disable-static --disable-dependency-tracking
%make CFLAGS="%{optflags} -Wno-error=deprecated-declarations"

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang NetworkManager-l2tp

%files -f NetworkManager-l2tp.lang
%doc AUTHORS ChangeLog README
%{_libdir}/NetworkManager/libnm-l2tp-properties.so
%{_libdir}/pppd/*/nm-l2tp-pppd-plugin.so
%{_libexecdir}/nm-l2tp-auth-dialog
%{_libexecdir}/nm-l2tp-service
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-l2tp-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-l2tp-service.name
%{_datadir}/gnome-vpn-properties/l2tp/nm-l2tp-dialog.ui



%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.9.8.7-6.mga6
+ Revision: 952715
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0.9.8.7-5.mga6
+ Revision: 930506
- Mageia 6 Mass Rebuild

* Mon May 11 2015 tmb <tmb> 0.9.8.7-4.mga5
+ Revision: 821741
- submit to release

* Fri May 08 2015 tmb <tmb> 0.9.8.7-3.mga5
+ Revision: 821482
- rebuild against NM 1.0.2

* Wed Oct 15 2014 umeabot <umeabot> 0.9.8.7-2.mga5
+ Revision: 743031
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 alexl <alexl> 0.9.8.7-1.mga5
+ Revision: 735789
- new version 0.9.8.7 with fixed IPSec setup

* Tue Sep 16 2014 umeabot <umeabot> 0.9.8.6-3.mga5
+ Revision: 682868
- Mageia 5 Mass Rebuild

* Sat Apr 05 2014 alexl <alexl> 0.9.8.6-2.mga5
+ Revision: 612043
- clean spec
- move Epoch
- use pkgconfig()
- move unneeded Requires
- move *.la

* Sat Apr 05 2014 alexl <alexl> 1:0.9.8.6-1.mga5
+ Revision: 611850
- imported package networkmanager-l2tp


* Mon Jun 03 2013 AlexL <loginov.alex.valer@gmail.com>
- update to new version

* Tue Oct 23 2012 AlexL <loginov.alex.valer@gmail.com>
- first build for Mageia
